<?php

require_once("config.php");
require_once("php/checklogin.php"); 

function getRemFile($url)
{
   $parsedUrl = parse_url($url);
   $host = $parsedUrl['host'];
   if (isset($parsedUrl['path'])) {
      $path = $parsedUrl['path'];
   } else {
      $path = '/';
   }

   if (isset($parsedUrl['query'])) {
      $path .= '?' . $parsedUrl['query'];
   }

   if (isset($parsedUrl['port'])) {
      $port = $parsedUrl['port'];
   } else {
     $port = '80';
   }

   $timeout = 10;
   $response = '';

   $fp = @fsockopen($host, '80', $errno, $errstr, $timeout );

   if( !$fp ) {
      echo "Cannot retrieve $url";
   } else {
       fputs($fp, "GET $path HTTP/1.0\r\n" .
                 "Host: $host\r\n" .
                 "User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3\r\n" .
                 "Accept: */*\r\n" .
                 "Accept-Language: en-us,en;q=0.5\r\n" .
                 "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n" .
                 "Keep-Alive: 300\r\n" .
                 "Connection: Close\r\n" .
                 "Referer: http://$host\r\n\r\n");

     while ( $line = fread( $fp, 4096 ) ) {
         $response .= $line;
      }

      fclose( $fp );
      $pos      = strpos($response, "\r\n\r\n");
      $response = substr($response, $pos + 4);
   }
   return $response;
}

function strChk($question){
    return (!isset($question) || trim($question)==='');
}

$finalURL="";
$URLarray  = explode ("/","http://" .($_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"]));
for ($i = 0; $i < count($URLarray)-2; $i++){
		$finalURL .= $URLarray[$i] . "/" ;
	}
if (!isset($_POST['updcode'])) {$updcode='';} else {$updcode=strtoupper($_POST['updcode']);}
if (strChk($updcode)) {
	header('location:main.php?mode=4');
	exit();
} else {
	$updfile=getRemFile('http://easydealbuilder.com/edbdat/upd/'.$updcode.'.php');
	if (substr($updfile,0,2)=='Z1') {
		file_put_contents($updcode.'.php',base64_decode(substr($updfile,2)));
		header('location:'.$updcode.'.php');
		exit();
	} else {
		header('location:main.php?mode=4');
		exit();
	}
}

?>