<?php
require_once("php/checklogin.php"); 
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>List of all your deals.</title>
<link rel="stylesheet" type="text/css" href="http://fonts.googleapis.com/css?family=Roboto+Condensed|Roboto">
<style type="text/css">

.ld-head { font-family:Roboto Condensed, Arial, Sans-Serif; font-size:18px; color:#EEEEEE; text-align:center;}
.ld-list { font-family:Roboto Condensed, Arial, Sans-Serif; font-size:14px; color:#777777; text-align:center;}
</style>
</head>
<body>
<?php
$pageout="<br>";
$finalURL="";
$URLarray  = explode ("/","http://" .($_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"]));
for ($i = 0; $i < count($URLarray)-2; $i++){
		$finalURL .= $URLarray[$i] . "/" ;
	}
	
$deals = glob('../*',GLOB_NOSORT|GLOB_ONLYDIR); // sicom get all directories into array
$activedeals=array();
$enddeals=array();
$pausedeals=array();
$activecount=0;
$endcount=0;
$pausecount=0;
foreach($deals as $dealname) {
	if (basename($dealname)!='admin' && file_exists($dealname."/edbconfig.php")) {
		if (file_exists($dealname."/pp.php")) {
			$pausedeals[$pausecount++]=$finalURL.basename($dealname);
		} else if (file_exists($dealname."/dd.php")) {
			$enddeals[$endcount++]=$finalURL.basename($dealname);
		} else {
			$activedeals[$activecount++]=$finalURL.basename($dealname);
		}
	}
}


if (!empty($activedeals)) {
	$pageout.='<div class="ld-list" style="width:600px; margin:0 auto; border:none; background-color:#EEEEEE;"><br>	<div class="ld-head" style="width:600px; background-color:#444444;" >Active Deals</div><br>';
	foreach($activedeals as $dealname) {
		$pageout.=$dealname.'<br>';
	}
	$pageout.='<br></div><br>';
}
if (!empty($pausedeals)) {
	$pageout.='<div class="ld-list" style="width:600px; margin:0 auto; border:none; background-color:#EEEEEE;"><br>	<div class="ld-head" style="width:600px; background-color:#444444;" >Paused Deals</div><br>';
	foreach($pausedeals as $dealname) {
		$pageout.=$dealname.'<br>';
	}
	$pageout.='<br></div><br>';
}
if (!empty($enddeals)) {
	$pageout.='<div class="ld-list" style="width:600px; margin:0 auto; border:none; background-color:#EEEEEE;"><br>	<div class="ld-head" style="width:600px; background-color:#444444;" >Closed Deals</div><br>';
	foreach($enddeals as $dealname) {
		$pageout.=$dealname.'<br>';
	}
	$pageout.='<br></div><br>';
}
if (empty($activedeals) && empty($pausedeals) && empty($enddeals)) { $pageout.='<div class="ld-list" style="width:600px; margin:0 auto; border:none; background-color:#EEEEEE;"><br>	<div class="ld-head" style="width:600px; background-color:#444444;" >No Deals Found!</div><br>'; }
echo ($pageout);

?>
</body>
</html>