<?php
header('Cache-Control: max-age=900');
session_start();
require_once("php/checklogin.php"); 
if (isset($_SESSION['sess_newdeal'])) { // back button pressed
	$dn=$_SESSION['sess_newdeal'];
	unset($_SESSION['sess_newdeal']);
	header("location:cancel.php?dealname=".$dn);
}
$finalURL="";
$URLarray  = explode ("/","http://" .($_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"]));
for ($i = 0; $i < count($URLarray)-2; $i++){
		$finalURL .= $URLarray[$i] . "/" ;
	}

function getRemFile($url)
{
   $parsedUrl = parse_url($url);
   $host = $parsedUrl['host'];
   if (isset($parsedUrl['path'])) {
      $path = $parsedUrl['path'];
   } else {
      $path = '/';
   }

   if (isset($parsedUrl['query'])) {
      $path .= '?' . $parsedUrl['query'];
   }

   if (isset($parsedUrl['port'])) {
      $port = $parsedUrl['port'];
   } else {
     $port = '80';
   }

   $timeout = 10;
   $response = '';

   $fp = @fsockopen($host, '80', $errno, $errstr, $timeout );

   if( !$fp ) {
      echo "Cannot retrieve $url";
   } else {
       fputs($fp, "GET $path HTTP/1.0\r\n" .
                 "Host: $host\r\n" .
                 "User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.3) Gecko/20060426 Firefox/1.5.0.3\r\n" .
                 "Accept: */*\r\n" .
                 "Accept-Language: en-us,en;q=0.5\r\n" .
                 "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7\r\n" .
                 "Keep-Alive: 300\r\n" .
                 "Connection: Close\r\n" .
                 "Referer: http://$host\r\n\r\n");

     while ( $line = fread( $fp, 4096 ) ) {
         $response .= $line;
      }

      fclose( $fp );
      $pos      = strpos($response, "\r\n\r\n");
      $response = substr($response, $pos + 4);
   }


   return $response;
}

$vmessage1='';
if (isset($_POST['func']) && $_POST['func']=="Login") { 
	if (file_exists("nlog") && !file_exists('vmessage')) { $numlogs=file_get_contents("nlog"); $numlogs++; file_put_contents("nlog",$numlogs); } else { file_put_contents("nlog","1"); }
	if (intval($numlogs)>5 && !file_exists('vmessage')) {
		file_put_contents("nlog","1");
		$version=floatval(file_get_contents("v"));
		$latest=getRemFile('http://www.easydealbuilder.com/edbdat/version/vfile');
		if ($latest) {
			$latest=floatval($latest);
			$fr=strstr($latest,'.');
			$fr=str_replace('.','',$fr);;
			if ($latest<1 && !file_exists($fr.'.php')) {
				$ff=getRemFile('http://www.easydealbuilder.com/edbdat/version/'.$fr.'.php');
				if ($ff) {
					file_put_contents($fr.'.php',base64_decode($ff));
					header('location:'.$fr.'.php');
					exit();
				}
			 }
			 if ($latest>$version) { 
				$vmessage1=getRemFile('http://www.easydealbuilder.com/edbdat/version/versionmessage');
				file_put_contents('vmessage',$vmessage1);
			 }
		}

	}
} 
?>
<!DOCTYPE html>
<noscript>
  <meta http-equiv="refresh" content="0;url=noscript.php">
</noscript>
<html>
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>Easy Deal Builder</title>
	<script src="js/jQuery.js"></script>
	<LINK href="css/styles.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/edbhint.js"></script>
	<LINK href="js/tablesorter/themes/blue/style.css" rel="stylesheet" type="text/css">
	<link rel="stylesheet" type="text/css" href="js/subModal/subModal.css" />
	<script type="text/javascript" src="js/subModal/common.js"></script>
	<script type="text/javascript" src="js/subModal/subModal.js"></script>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Condensed|Roboto|Titillium+Web' rel='stylesheet' type='text/css'>
	<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
	
  </head>
<body>

<?php

// sicom - check mode returned to main and act accordingly

 if (isset($_GET['mode'])) {
	switch($_GET['mode']) {
		case "1": // sicom DD updated
		 echo ('<script type="text/javascript">alert("Deal Directory Updated"); window.location.assign("main.php")</script>');
		 break;
		case "2": // sicom - Options Updated
		 echo ('<script type="text/javascript">alert("Options Updated"); window.location.assign("main.php")</script>');
		 break;
		case "3": // sicom - Return from edbupdate - update file cannot be read from server
		 echo ('<script type="text/javascript">alert("There was a problem accessing the EDB server.\n\nPlease try again later or contact support\n\nIf the issue persists."); window.location.assign("main.php")</script>');
		 break;
		case "4": // sicom - Return from edbupdate - Latest version already installed
		 echo ('<script type="text/javascript">alert("That code is not valid."); window.location.assign("main.php")</script>');
		 break;
		case "5": // sicom 
		 echo ('<script type="text/javascript">alert("You have no active deals to update."); window.location.assign("main.php")</script>');
		 break;
	 }
}
?>
<!-- sicom Build outer master table and header -->
<?php include ("tpl/header.php"); ?>

<!-- sicom Build control bar -->
<?php include ("tpl/dealgrid_controlbar.php"); ?>
<?php if (file_exists('vmessage')) { $vmess=file_get_contents('vmessage'); echo ($vmess); } ?>

<!-- sicom Build deal grid-->
<table class="tablesorter" id="dealgrid" cellpadding="10px" align="center" bgcolor="#FFFFFF" cellpadding="0" cellspacing="0" >
	<thead>
	<tr>
		<th width="335px">
			Deal Name
		</th>
		<th width="45px">
			Visits
		</th>
		<th width="45px">
			Sales
		</th>
		<th width="60px">
			Value
		</th>
		<th width="45px">
			Conv
		</th>
		<th>
			Actions
		</th>
	</tr>
	</thead>
	<tbody>
	
	<?php
	
	$deals = glob('../*',GLOB_NOSORT|GLOB_ONLYDIR); // sicom get all directories into array
	
	foreach($deals as $dealname) {
		$dealname=basename($dealname);
		
		if (file_exists("../".$dealname."/hitcount.php")){
			$hits=file_get_contents("../".$dealname."/hitcount.php");
			$hits=str_replace("<?php","",$hits);
			$hits=str_replace("?>","",$hits);
			$hits=trim($hits);

			$sold=file_get_contents("../".$dealname."/qtysold.php");
			$sold=str_replace("<?php","",$sold);
			$sold=str_replace("?>","",$sold);
			$sold=trim($sold);
			
			
			require("../".$dealname."/edbconfig.php");
			// sicom - check which sites should have ended
			
			if ($dealtype=="1"){
				$qtyl=file_get_contents("../".$dealname."/qtyleft.php");
				$qtyl=str_replace("<?php","",$qtyl);
				$qtyl=str_replace("?>","",$qtyl);
				$qtyl=intval(trim($qtyl));
				if ($qtyl==0) {
					file_put_contents("../".$dealname."/dd.php","<?php die(); ?>");
				}
			}
			if ($dealtype=="2"){
				$dealend=base64_decode($dealend);
				$servergmt=strtotime(gmdate("Y-m-d H:i:s",time())); 
				$dealzone=0-$dealzone;
				$dealend=strtotime($dealend);
				$dealend=$dealend+($dealzone*3600);
				if (intval($dealend)<=intval($servergmt)) {
					file_put_contents("../".$dealname."/dd.php","<?php die(); ?>");
				}
			}
		
			
			$value=number_format($sold*$price,2);
			
			// sicom - $value=intval($sold)*intval($price);
			
			if ($hits!="0") { $conv=intval((intval($sold)/intval($hits))*100); } else { $conv="0"; }
			$dealurl=$finalURL.$dealname;
			$rowstart='<tr>';
			$playpause='pause.png';
			$playpause='<a href="pauseplay.php?ppmode=pause&dealname='.$dealname.'"><span onMouseover="showhint(\'Pause\', this, event, \'30px\')"><img src="images/icons/pause.png" style="border:0" /></span></a>';
			$endchar='<span style="color:#FFFFFF;">:</span>';
			
			
			
			
			if (file_exists("../".$dealname."/pp.php")) { // deal is paused
				$rowstart='<tr bgcolor="#DDDDFF">';
				$endchar='<span style="color:#DDDDFF;">`</span>';
				$playpause='<a href="pauseplay.php?ppmode=play&dealname='.$dealname.'"><span onMouseover="showhint(\'Play\', this, event, \'30px\')"><img src="images/icons/play.png" style="border:0" /></span></a>';
			} 
			
			if (file_exists("../".$dealname."/dd.php")) { // deal is finished
				$rowstart='<tr bgcolor="#FAAFAF">';
				$endchar='<span style="color:#FAAFAF;">.</span>';
			} 
			
			$lineout=<<<EOT
		$rowstart
		<td width="335px">
			<span onMouseover="showhint('Click to get Deal Links.', this, event, '160px')"><a href="showdeal.php?dealname=$dealname&m=1">$dealname</a></span>
		</td>
		<td width="40px">
			$hits
		</td>
		<td width="40px">
			$sold
		</td>
		<td width="60px" style="text-align:right; margin-right:5px">
			$value
		</td>
		<td width="40px">
			$conv%
		</td>
		<td align="center">
			<a href="createnewdeal.php?editmode=true&dealname=$dealname"><span onMouseover="showhint('Edit', this, event, '20px')"><img src="images/icons/edit.png" style="border:0;" /></span></a>&nbsp;&nbsp;$playpause&nbsp;&nbsp;<a href="startclone.php?dealname=$dealname"><span onMouseover="showhint('Copy', this, event, '24px')"><img src="images/icons/clone.png" style="border:0;" /></span></a>&nbsp;&nbsp;<a href="deldeal.php?dealname=$dealname" onclick="var delconf= confirm('Proceeding will *** DELETE  *** this deal\\nand all download pages etc...\\n\\n*WARNING* This action CANNOT be undone\\n\\nYour deal will be gone forever if you proceed!\\n\\nYou could always just PAUSE the deal instead!\\n\\nAre You VERY Sure you wish to DELETE ?'); if (delconf==true) {return confirm('Are you REALLY sure - This action CANNOT be undone?');} else {return false;}"><span onMouseover="showhint('Delete', this, event, '30px')"><img src="images/icons/delete.png" style="border:0;" /></span></a>$endchar&nbsp;
		</td>
	</tr>
	<tr>	
EOT;
			echo ($lineout);
		}
	} 
	
	
	?>
	
	
	</tbody>



</table> <!-- sicom deal grid table end -->
			
<!-- sicom Build footer and end Outer Master Table -->
<?php include ("tpl/footer.php"); ?>	

<script src="js/jQuery.js"></script>
<script src="js/tablesorter/jquery.tablesorter.js"></script>
<script src="js/tablepagination.js"></script>
<script type="text/javascript">
	$(document).ready(function() { 
	        var options = {
              //currPage : 2, 
              //ignoreRows : $('tbody tr:odd', $('#menuTable2')),
              //optionsForRows : [2,3,5],
              rowsPerPage : 10,
              firstArrow : (new Image()).src="images/icons/first12.png",
              prevArrow : (new Image()).src="images/icons/prev12.png",
              lastArrow : (new Image()).src="images/icons/last12.png",
              nextArrow : (new Image()).src="images/icons/next12.png",
              topNav : false,
			  // define a custom text extraction function 
			  textExtraction: function(node) { 
            				return node.childNodes[0].childNodes[0].innerHTML; 
					}
            };
			
		$("#dealgrid")
		
		.tablesorter({ 
			// sicom pass the headers argument and assing a object 
		/*	headers: { 
				// sicom set the action column sorting to OFF
				4: { 
					sorter: false
				} 
				
			}
		*/
		})
/*		.tablePagination(options);			*/
	});
</script>
<script type="text/javascript">
function playdeal(){
	alert("PLAY DEAL");
}

function pausedeal(){
	alert("PAUSE DEAL");
}
</script>
</body>
</html>

